###

###

###

###

###

###

    INDEX(3)            Linux Programmer's Manual            INDEX(3)

    NAME
           index, rindex - locate character in string

    SYNOPSIS
           #include <string.h>

           char *index(const char *s, int c);

           char *rindex(const char *s, int c);

    DESCRIPTION
           The index() function returns a pointer to the first occur-
           rence of the character c in the string s.

           The rindex() function returns a pointer to the last occur-
           rence of the character c in the string s.

           The  terminating NULL character is considered to be a part
           of the strings.

    RETURN VALUE
           The index() and rindex() functions return a pointer to the
           matched character or NULL if the character is not found.

    CONFORMING TO
           BSD 4.3

### SEE ALSO

memchr, strchr, strpbrk, strrchr, strsep, strspn, strstr, strtok,

###

    GNU                       April 12, 1993                        1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0